FairMQStateMachine Class Reference
Inheritance diagram for FairMQStateMachine:
[legend]
Collaboration diagram for FairMQStateMachine:
[legend]

## Public Types

enum | Event { INIT_DEVICE, internal_DEVICE_READY, INIT_TASK, internal_READY, RUN, PAUSE, STOP, RESET_TASK, RESET_DEVICE, internal_IDLE, END, ERROR_FOUND }

## Public Member Functions

| FairMQStateMachine ()
int | GetInterfaceVersion () const
bool | ChangeState (int event)
bool | ChangeState (const std::string &event)
void | WaitForEndOfState (int event)
void | WaitForEndOfState (const std::string &event)
bool | WaitForEndOfStateForMs (int event, int durationInMs)
bool | WaitForEndOfStateForMs (const std::string &event, int durationInMs)
void | SubscribeToStateChange (const std::string &key, std::function< void(const State)> callback)
void | UnsubscribeFromStateChange (const std::string &key)

## Constructor & Destructor Documentation

## FairMQStateMachine()

FairMQStateMachine::FairMQStateMachine | ( |  | ) |

FairMQStateMachine.cxx

Since
  2012-10-25

Author
  D. Klein, A. Rybalchenko

The documentation for this class was generated from the following files:

- fairmq/FairMQStateMachine.h
- fairmq/FairMQStateMachine.cxx